# uritranscodebin

Autoplug and transcoder media from uris

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBin
                        ╰──GstPipeline
                            ╰──uritranscodebin

## Implemented interfaces

    GstChildProxy

## Factory details

Authors: – Thibault Saunier <tsaunier></tsaunier>

Classification: – `Generic/Bin/Encoding`

Rank – none

Plugin – transcode

Package – GStreamer Bad Plug-ins

## Signals

### element-setup

    element_setup_callback (GstElement * uritranscodebin,
                            GstElement * element,
                            gpointer udata)

    def element_setup_callback (uritranscodebin, element, udata):
        #python callback for the 'element-setup' signal

    function element_setup_callback(uritranscodebin: GstElement * uritranscodebin, element: GstElement * element, udata: gpointer udata): {
        // javascript callback for the 'element-setup' signal
    }

This signal is emitted when a new element is added to uritranscodebin or any of its sub-bins. This signal can be used to configure elements, e.g. to set properties on decoders. This is functionally equivalent to connecting to the deep-element-added signal, but more convenient.

This signal is usually emitted from the context of a GStreamer streaming thread, so might be called at the same time as code running in the main application thread.

Parameters:

`uritranscodebin` –

a uritranscodebin

`element` –

an element that was added to the uritranscodebin hierarchy

`udata` –
No description available

Flags: Run Last

Since : 1.20

### source-setup

    source_setup_callback (GstElement * uritranscodebin,
                           GstElement * source,
                           gpointer udata)

    def source_setup_callback (uritranscodebin, source, udata):
        #python callback for the 'source-setup' signal

    function source_setup_callback(uritranscodebin: GstElement * uritranscodebin, source: GstElement * source, udata: gpointer udata): {
        // javascript callback for the 'source-setup' signal
    }

This signal is emitted after the source element has been created, so it can be configured by setting additional properties (e.g. set a proxy server for an http source, or set the device and read speed for an audio cd source). This is functionally equivalent to connecting to the notify::source signal, but more convenient.

This signal is usually emitted from the context of a GStreamer streaming thread.

Parameters:

`uritranscodebin` –

a uritranscodebin

`source` –

source element

`udata` –
No description available

Flags: Run Last

Since : 1.20

## Properties

### audio-filter

    “audio-filter” GstElement *

Set the audio filter element/bin to use.

Flags : Read / Write

### avoid-reencoding

    “avoid-reencoding” gboolean

See avoid-reencoding

Flags : Read / Write

Default value : false

### cpu-usage

    “cpu-usage” guint

The percentage of CPU to try to use with the processus running the pipeline driven by the clock

Flags : Read / Write

Default value : 100

### dest-uri

    “dest-uri” gchararray

The destination URI to which the stream should be encoded.

Flags : Read / Write

Default value : NULL

### profile

    “profile” GstEncodingProfile *

The GstEncodingProfile to use. This property must be set before going to GST_STATE_PAUSED or higher.

Flags : Read / Write

### source-uri

    “source-uri” gchararray

The URI of the stream to encode

Flags : Read / Write

Default value : NULL

### video-filter

    “video-filter” GstElement *

Set the video filter element/bin to use.

Flags : Read / Write

The results of the search are